busvoodoo_oled.c File Reference

library to show BusVoodoo mode information on SSD1306 OLED display: name, activity, pinout (code) More...

Go to the source code of this file.

## Functions

void | busvoodoo_oled_setup (void)
| setup OLED display
void | busvoodoo_oled_clear (void)
| clear display buffer More...
void | busvoodoo_oled_text_left (char *text)
| draw mode text on top (yellow) left side in display buffer More...
void | busvoodoo_oled_text_right (char *text)
| draw mode text on top (yellow) right side in display buffer More...
void | busvoodoo_oled_text_pinout (const char *pins[10], bool io_connector)
| draw pin names on bottom (blue) part in display buffer More...
void | busvoodoo_oled_update (void)
| update OLED display RAM with current display buffer

## Variables

static bool | busvoodoo_oled_present = false
| if the OLED display is present and setup
static uint8_t | busvoodoo_oled_display [128 *8] = {0}
| display pixel buffer
static const uint8_t | font_king8 [95][5]
| 8x5 px monospace bitmap font (starting with space, first byte is glyph left column, MSb is glyph top pixel)
static const uint16_t | font_king10 [97][6]
| 10x6 px monospace bitmap font (starting with space, first element is glyph left column, MSb is glyph top pixel)
static const uint16_t | font_king14 [95][9]
| 14*9 px monospace bitmap font (starting with space, first element is glyph left column, MSb is glyph top pixel)

## Detailed Description

library to show BusVoodoo mode information on SSD1306 OLED display: name, activity, pinout (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Note
  peripherals used: I2C I2C peripheral to communicate with the SSD1306 OLED

Definition in file busvoodoo_oled.c.

## Function Documentation

## busvoodoo_oled_clear()

void busvoodoo_oled_clear | ( | void |  | ) |

clear display buffer

Note
  update the display to clear it

Definition at line 348 of file busvoodoo_oled.c.

## busvoodoo_oled_text_left()

void busvoodoo_oled_text_left | ( | char * | text | ) |

draw mode text on top (yellow) left side in display buffer

Warning
  this clears the top line, including the text on the right side

Note
  update the display to display the text

Parameters

  [in] | text | text to display on top left side of screen

Definition at line 356 of file busvoodoo_oled.c.

## busvoodoo_oled_text_pinout()

void busvoodoo_oled_text_pinout | ( | const char * | pins[10],
|  | bool | io_connector
| ) |  |

draw pin names on bottom (blue) part in display buffer

Parameters

  [in] | pins | pin names
  [in] | io_connector | display I/O connector (true) or RS/CAN connector + top half of I/O connector (false)

Note
  update the display to display the text

Definition at line 406 of file busvoodoo_oled.c.

## busvoodoo_oled_text_right()

void busvoodoo_oled_text_right | ( | char * | text | ) |

draw mode text on top (yellow) right side in display buffer

Warning
  this does not clear the top line, including the text on the right side

Note
  update the display to display the text

Parameters

  [in] | text | text to display on top right side of screen

Definition at line 384 of file busvoodoo_oled.c.